libstdc++: std::literals Namespace Reference

libstdc++

std::literals Namespace Reference

## Namespaces
namespace | chrono_literals

## Functions
constexpr chrono::day | operator""d (unsigned long long __d) noexcept
template<char... _Digits>
constexpr chrono::hours | operator""h ()
constexpr chrono::duration< long double, ratio< 3600, 1 > > | operator""h (long double __hours)
template<char... _Digits>
constexpr chrono::minutes | operator""min ()
constexpr chrono::duration< long double, ratio< 60, 1 > > | operator""min (long double __mins)
template<char... _Digits>
constexpr chrono::milliseconds | operator""ms ()
constexpr chrono::duration< long double, milli > | operator""ms (long double __msecs)
template<char... _Digits>
constexpr chrono::nanoseconds | operator""ns ()
constexpr chrono::duration< long double, nano > | operator""ns (long double __nsecs)
template<char... _Digits>
constexpr chrono::seconds | operator""s ()
constexpr chrono::duration< long double > | operator""s (long double __secs)
constexpr basic_string_view< char > | operator""sv (const char *__str, size_t __len) noexcept
constexpr basic_string_view< char16_t > | operator""sv (const char16_t *__str, size_t __len) noexcept
constexpr basic_string_view< char32_t > | operator""sv (const char32_t *__str, size_t __len) noexcept
constexpr basic_string_view< wchar_t > | operator""sv (const wchar_t *__str, size_t __len) noexcept
template<char... _Digits>
constexpr chrono::microseconds | operator""us ()
constexpr chrono::duration< long double, micro > | operator""us (long double __usecs)
constexpr chrono::year | operator""y (unsigned long long __y) noexcept

## Detailed Description

ISO C++ inline namespace for literal suffixes.

## Function Documentation

## ◆ operator""sv() [1/4]

basic_string_view< char > std::literals::string_view_literals::operator""sv | ( | const char * | __str,
|  | size_t | __len )
| inlineconstexprnoexcept

Definition at line 883 of file string_view.

## ◆ operator""sv() [2/4]

basic_string_view< char16_t > std::literals::string_view_literals::operator""sv | ( | const char16_t * | __str,
|  | size_t | __len )
| inlineconstexprnoexcept

Definition at line 897 of file string_view.

## ◆ operator""sv() [3/4]

basic_string_view< char32_t > std::literals::string_view_literals::operator""sv | ( | const char32_t * | __str,
|  | size_t | __len )
| inlineconstexprnoexcept

Definition at line 901 of file string_view.

## ◆ operator""sv() [4/4]

basic_string_view< wchar_t > std::literals::string_view_literals::operator""sv | ( | const wchar_t * | __str,
|  | size_t | __len )
| inlineconstexprnoexcept

Definition at line 887 of file string_view.